[pkg-boinc-commits] r419 - scripts

Frank S. Thomas fst-guest at costa.debian.org
Mon May 15 12:42:03 UTC 2006


Author: fst-guest
Date: 2006-05-15 12:42:02 +0000 (Mon, 15 May 2006)
New Revision: 419

Removed:
   scripts/download-seti
Modified:
   scripts/export-seti
Log:
* Changed export-seti to use the new setiathome_enhanced source.
* Removed download-seti, since we'll extract the seti source directly from CVS.


Deleted: scripts/download-seti
===================================================================
--- scripts/download-seti	2006-05-12 08:33:21 UTC (rev 418)
+++ scripts/download-seti	2006-05-15 12:42:02 UTC (rev 419)
@@ -1,25 +0,0 @@
-#!/bin/sh
-# $Id: download-seti 673 2005-03-27 19:35:18Z mrfrost $
-# Usage: download-seti A.BB YYYY-MM-DD
-#        download-seti 4.07 2005-03-27
-
-if [ -z $1 ]; then
-  echo "Error: no version number specified"
-  exit 1
-fi
-
-if [ -z $2 ]; then
-  echo "Error: no date specified"
-  exit 1
-fi
-
-nightly_dir="http://setiweb.ssl.berkeley.edu/sah/seti_source/nightly"
-dl_filename="seti_boinc-client-cvs-$2.tar.gz"
-
-cvsdate=`echo $2 | sed s/-//g`
-version="$1+cvs.$cvsdate"
-
-wget "$nightly_dir/$dl_filename" || exit 2
-mv $dl_filename boinc-client-seti_$version.orig.tar.gz
-
-exit 0

Modified: scripts/export-seti
===================================================================
--- scripts/export-seti	2006-05-12 08:33:21 UTC (rev 418)
+++ scripts/export-seti	2006-05-15 12:42:02 UTC (rev 419)
@@ -1,32 +1,53 @@
 #!/bin/sh
-# $Id: export-seti 672 2005-03-27 19:16:33Z mrfrost $
+# $Id$
+#
+# Usage: export-seti -r 5.13
+#     or export-seti -r 5.13 -d 20060515
 
 set -e
 
-if [ -z $1 ]; then
-  echo "Error: version number was not specified"
-  exit 1
+CVS_ROOT=":pserver:anonymous at alien.ssl.berkeley.edu:/home/cvs/cvsroot"
+CVS_MODULE="seti_boinc"
+
+# get options
+while getopts "r:d:" FLAG
+do
+    if test "$FLAG" = "r"; then
+        VERSION=$OPTARG
+    elif test "$FLAG" = "d"; then
+        DATE=$OPTARG
+    fi
+done
+
+# validate options
+if [ -z "$VERSION" ]; then
+    echo "Error: version number was not specified"
+    exit 1
 fi
 
-version="$1"
-cvs_version=`echo $1 | sed 's/\./_/'`
-cvs_root=":pserver:anonymous at alien.ssl.berkeley.edu:/home/cvs/cvsroot"
-cvs_opts="export -r seti_boinc_app_release_$cvs_version"
+# parse options
+if [ -z "$DATE" ]; then
+    DEBIAN_VERSION="$VERSION+cvs`date +%Y%m%d`"
+    ORIG_DIR="boinc-app-seti-$DEBIAN_VERSION.orig"
+    CVS_COMMAND="cvs -d $CVS_ROOT export -D now -r setiathome_enhanced -d $ORIG_DIR $CVS_MODULE"
 
-if [ ! -z $2 ]; then
-  version="$1.$2"
-  cvs_opts="checkout -D $2"
+elif [ -n "$DATE" ]; then
+    DEBIAN_VERSION="$VERSION+cvs$DATE"
+    ORIG_DIR="boinc-app-seti-$DEBIAN_VERSION.orig"
+    CVS_COMMAND="cvs -d $CVS_ROOT export -D $DATE -r setiathome_enhanced -d $ORIG_DIR $CVS_MODULE"
 fi
 
-working_dir="boinc-client-seti-$version"
-orig_archive="boinc-client-seti_$version.orig.tar.gz"
+ORIG_ARCHIVE="boinc-app-seti_$DEBIAN_VERSION.orig.tar.gz"
 
-if test -e $working_dir || test -e $orig_archive; then
-  echo "Error: $working_dir or $orig_archive already exists"
-  exit 2
-fi 
+if [ -e $ORIG_ARCHIVE ]; then
+    echo "Error: $ORIG_ARCHIVE alreay exists"
+    exit 1
+fi
 
-cvs -d $cvs_root $cvs_opts -d $working_dir seti_boinc
-tar -czf $orig_archive $working_dir
+echo "$CVS_COMMAND"
+$CVS_COMMAND
 
+tar -czf $ORIG_ARCHIVE $ORIG_DIR
+rm -rf $ORIG_DIR
+
 exit 0




More information about the pkg-boinc-commits mailing list